/*----------------*\
|Nanite OS         |
|Copyright (C) 2026|
|Xircon            |
\*----------------*/
#pragma once

#include <stdint.h>

void __attribute__((cdecl)) Reboot();
uint32_t __attribute__((cdecl)) Read_CR0();
void __attribute__((cdecl)) Write_CR0(uint32_t value);
uint32_t* __attribute__((cdecl)) Read_CR3();
void __attribute__((cdecl)) Write_CR3(uint32_t* value);
